Permalink
Browse files

suppress load warnings option added

  • Loading branch information...
1 parent af8fec3 commit dadf02f0507cbce9a8662cbe535c130a8819e07d @troydm committed Oct 9, 2012
Showing with 6 additions and 0 deletions.
  1. +6 −0 plugin/easytree.vim
View
@@ -13,11 +13,17 @@ let s:save_cpo = &cpo
set cpo&vim
if !has("python")
+ if exists("g:easytree_suppress_load_warning") && g:easytree_suppress_load_warning
+ finish
+ endif
echo "easytree needs vim compiled with +python option"
finish
endif
if !exists('*pyeval')
+ if exists("g:easytree_suppress_load_warning") && g:easytree_suppress_load_warning
+ finish
+ endif
echo "easytree needs vim 7.3 with atleast 569 patchset included"
finish
endif

0 comments on commit dadf02f

Please sign in to comment.